@ECHO OFF
javaw -version
if errorlevel 1 goto error

echo.
echo Starting JMDB...
echo.
IF "%1" NEQ "" (
   start javaw -Xmx1600M -cp .;jmdb.jar;postgresql-42.2.4.jre6.jar;jtds-1.3.1.jar;mysql-connector-java-5.1.46.jar;.\plugins\export\itext-1.4.3.jar jmdb.base.JMDBMain importpath="%1" importwithindex
) ELSE (
   start javaw -Xmx1600M -cp .;jmdb.jar;postgresql-42.2.4.jre6.jar;jtds-1.3.1.jar;mysql-connector-java-5.1.46.jar;.\plugins\export\itext-1.4.3.jar jmdb.base.JMDBMain
)
goto end

:error
echo.
echo The command javaw is not available.
echo.
echo Please make sure that you have installed a java runtime correctly
echo and the java path is available in the PATH environment variable.
echo.
pause

:end
